ApiCopyImagesInFeaturesArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiCopyImagesInFeaturesArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCopyImagesInFeaturesArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiCopyImagesInFeaturesArgs
      extends Object

  Arguments used for the command to copy images that belongs to one or more features. This is applicable for ECS deployments, where we can perform the image copying ourselves.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCopyImagesInFeaturesArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getSelectedFeatures()` The selected feature names (a comma separated list), typically only one, that some container images/packages are associated with.
    `int` | `hashCode()`
    `ApiCopyImagesInFeaturesArgs` | `selectedFeatures(String selectedFeatures)`
    `void` | `setSelectedFeatures(String selectedFeatures)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCopyImagesInFeaturesArgs

          public ApiCopyImagesInFeaturesArgs()

  - ### Method Detail

    - #### selectedFeatures

          public ApiCopyImagesInFeaturesArgs selectedFeatures(String selectedFeatures)

    - #### getSelectedFeatures

          public String getSelectedFeatures()

      The selected feature names (a comma separated list), typically only one, that some container images/packages are associated with.
      Returns:
        selectedFeatures

    - #### setSelectedFeatures

          public void setSelectedFeatures(String selectedFeatures)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.